{ config, pkgs, lib, ... }:
{
  imports = [ ./helios64.nix ];
  nixpkgs.system = "aarch64-linux";
  networking = {
    hostName = "bold";
    hostId = "c7233a9f";
  };
  environment.systemPackages = [ pkgs.sysstat pkgs.cryptsetup ];
  fileSystems."/" = { device = lib.mkForce "/dev/disk/by-label/bold-emmc"; fsType = lib.mkForce "btrfs"; };
  programs.mosh.enable = true;
  boot.zfs.extraPools = ["bold"];
  boot.supportedFilesystems = ["zfs"];
  boot.kernel.sysctl."kernel.sysrq" = 1;

  services.openssh.enable = true;
  networking.firewall.rejectPackets = true;

  # Preserve password changes
  users.mutableUsers = true;
  users.users = {
    root.openssh.authorizedKeys.keyFiles = [ ./linus.pub ];
    linus = {
      isNormalUser = true;
      extraGroups = ["wheel"];
      openssh.authorizedKeys.keyFiles = [ ./linus.pub ];
    };
  };
  system.stateVersion = "20.09";
}
